org.apache.ignite.internal.commandline.snapshot

## Enum SnapshotSubcommand

- java.lang.Object
- - java.lang.Enum<SnapshotSubcommand>
  - - org.apache.ignite.internal.commandline.snapshot.SnapshotSubcommand

All Implemented Interfaces:
  Serializable, Comparable<SnapshotSubcommand>

    public enum SnapshotSubcommand
    extends Enum<SnapshotSubcommand>

Set of snapshot sub-commands.

See Also:
  `SnapshotCommand`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CANCEL` Sub-command to cancel running snapshot.
`CREATE` Sub-command to create a cluster snapshot.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static @Nullable SnapshotSubcommand` `of(String text)`
`String` `toString()`
`static SnapshotSubcommand` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SnapshotSubcommand[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CREATE

    public static final SnapshotSubcommand CREATE

Sub-command to create a cluster snapshot.

#### CANCEL

    public static final SnapshotSubcommand CANCEL

Sub-command to cancel running snapshot.

### Method Detail

#### values

    public static SnapshotSubcommand[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SnapshotSubcommand c : SnapshotSubcommand.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SnapshotSubcommand valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### of

    @Nullable
    public static @Nullable SnapshotSubcommand of(String text)

Parameters:
  `text` - Command text (case insensitive).
Returns:
  Command for the text. `Null` if there is no such command.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<SnapshotSubcommand>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020